gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Selectors.FileSelection

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

Prompt the user for a file or directory name

- As of Gtk+ 2.4 this module has been deprecated in favour of `FileChooser`

This module is empty in Gtk3.

Synopsis

- data FileSelection
- class DialogClass o => FileSelectionClass o
- castToFileSelection :: GObjectClass obj => obj -> FileSelection
- gTypeFileSelection :: GType
- toFileSelection :: FileSelectionClass o => o -> FileSelection
- fileSelectionNew :: String -> IO FileSelection
- fileSelectionSetFilename :: FileSelectionClass self => self -> String -> IO ()
- fileSelectionGetFilename :: FileSelectionClass self => self -> IO String
- fileSelectionShowFileopButtons :: FileSelectionClass self => self -> IO ()
- fileSelectionHideFileopButtons :: FileSelectionClass self => self -> IO ()
- fileSelectionGetButtons :: FileSelectionClass fsel => fsel -> IO (Button, Button)
- fileSelectionComplete :: FileSelectionClass self => self -> String -> IO ()
- fileSelectionGetSelections :: FileSelectionClass self => self -> IO [String]
- fileSelectionSetSelectMultiple :: FileSelectionClass self => self -> Bool -> IO ()
- fileSelectionGetSelectMultiple :: FileSelectionClass self => self -> IO Bool
- fileSelectionFilename :: FileSelectionClass self => Attr self String
- fileSelectionShowFileops :: FileSelectionClass self => Attr self Bool
- fileSelectionSelectMultiple :: FileSelectionClass self => Attr self Bool

# Detail

`FileSelection` should be used to retrieve file or directory names from the user. It will create a new dialog window containing a directory list, and a file list corresponding to the current working directory. The filesystem can be navigated using the directory list or the drop-down history menu. Alternatively, the TAB key can be used to navigate using filename completion - common in text based editors such as emacs and jed.

File selection dialogs are created with a call to `fileSelectionNew`.

The default filename can be set using `fileSelectionSetFilename` and the selected filename retrieved using `fileSelectionGetFilename`.

Use `fileSelectionComplete` to display files and directories that match a given pattern. This can be used for example, to show only *.txt files, or only files beginning with gtk*.

Simple file operations; create directory, delete file, and rename file, are available from buttons at the top of the dialog. These can be hidden using `fileSelectionHideFileopButtons` and shown again using `fileSelectionShowFileopButtons`.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Window
     | +----Dialog
     | +----FileSelection

# Types

data FileSelection

Instances

Eq FileSelection |
Ord FileSelection |
GObjectClass FileSelection |
FileSelectionClass FileSelection |
DialogClass FileSelection |
WindowClass FileSelection |
BinClass FileSelection |
ContainerClass FileSelection |
WidgetClass FileSelection |
ObjectClass FileSelection |

class DialogClass o => FileSelectionClass o

Instances

FileSelectionClass FileSelection |

castToFileSelection :: GObjectClass obj => obj -> FileSelection

gTypeFileSelection :: GType

toFileSelection :: FileSelectionClass o => o -> FileSelection

# Constructors

fileSelectionNew

Arguments

:: String | `title` - a message that will be placed in the file requestor's titlebar.
-> IO FileSelection |

Creates a new file selection dialog box. By default it will contain a `TreeView` of the application's current working directory, and a file listing. Operation buttons that allow the user to create a directory, delete files and rename files, are also present.

# Methods

fileSelectionSetFilename

Arguments

:: FileSelectionClass self |
=> self |
-> String | `filename` - a string to set as the default file name.
-> IO () |

Sets a default path for the file requestor. If `filename` includes a directory path, then the requestor will open with that path as its current working directory.

This has the consequence that in order to open the requestor with a working directory and an empty filename, `filename` must have a trailing directory separator.

fileSelectionGetFilename

Arguments

:: FileSelectionClass self |
=> self |
-> IO String | returns currently-selected filename

This function returns the selected filename.

If no file is selected then the selected directory path is returned.

fileSelectionShowFileopButtons :: FileSelectionClass self => self -> IO ()

Shows the file operation buttons, if they have previously been hidden. The rest of the widgets in the dialog will be resized accordingly.

fileSelectionHideFileopButtons :: FileSelectionClass self => self -> IO ()

Hides the file operation buttons that normally appear at the top of the dialog. Useful if you wish to create a custom file selector, based on `FileSelection`.

fileSelectionGetButtons :: FileSelectionClass fsel => fsel -> IO (Button, Button)

Extract the buttons of a fileselection.

fileSelectionComplete

Arguments

:: FileSelectionClass self |
=> self |
-> String | `pattern` - a string of characters which may or may not match any filenames in the current directory.
-> IO () |

Will attempt to match `pattern` to a valid filenames or subdirectories in the current directory. If a match can be made, the matched filename will appear in the text entry field of the file selection dialog. If a partial match can be made, the "Files" list will contain those file names which have been partially matched, and the "Folders" list those directories which have been partially matched.

fileSelectionGetSelections :: FileSelectionClass self => self -> IO [String]

Retrieves the list of file selections the user has made in the dialog box. This function is intended for use when the user can select multiple files in the file list.

fileSelectionSetSelectMultiple

Arguments

:: FileSelectionClass self |
=> self |
-> Bool | `selectMultiple` - whether or not the user is allowed to select multiple files in the file list.
-> IO () |

Sets whether the user is allowed to select multiple files in the file list. Use `fileSelectionGetSelections` to get the list of selected files.

fileSelectionGetSelectMultiple

Arguments

:: FileSelectionClass self |
=> self |
-> IO Bool | returns `True` if the user is allowed to select multiple files in the file list

Determines whether or not the user is allowed to select multiple files in the file list. See `fileSelectionSetSelectMultiple`.

# Attributes

fileSelectionFilename :: FileSelectionClass self => Attr self String

The currently selected filename.

fileSelectionShowFileops :: FileSelectionClass self => Attr self Bool

Whether buttons for creating/manipulating files should be displayed.

Default value: `False`

fileSelectionSelectMultiple :: FileSelectionClass self => Attr self Bool

Whether to allow multiple files to be selected.

Default value: `False`